## pygtkspellcheck 5.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonGTKSpellchecker.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonGTKSpellchecker.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonGTKSpellchecker"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonGTKSpellchecker"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pygtkspellcheck 3.0

=== debian/changelog ===
pygtkspellcheck (3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build-Depend on python3-all instead of python3 to fix
    building with multiple supported Python 3 versions. (Closes: #707172)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 May 2013 17:07:47 +0200

pygtkspellcheck (3.0-1) unstable; urgency=low

  * Initial release. Closes: 681528

 -- Carlos Miguel Jenkins Pérez <carlos@jenkins.co.cr>  Sat, 18 Aug 2012 09:09:23 -0600

=== debian/control ===
Source: pygtkspellcheck
Section: python
Priority: optional
Maintainer: Carlos Miguel Jenkins Pérez <carlos@jenkins.co.cr>
Build-Depends: debhelper (>= 8),
               python (>= 2.7),
               python-sphinx,
               python-enchant,
               python3-all,
               python3-sphinx,
               python3-enchant
Standards-Version: 3.9.3
Homepage: http://pygtkspellcheck.readthedocs.org/
Vcs-Browser: https://github.com/koehlma/pygtkspellcheck
Vcs-Git: git://github.com/koehlma/pygtkspellcheck.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-gtkspellcheck
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-enchant, python-gtk2 | python-gi
Recommends: iso-codes
Description: spellchecking library written in Python for Gtk based on Enchant
 It supports both Gtk's Python bindings, PyGObject and PyGtk, and for both 
 Python 2 and 3 with automatic switching and binding autodetection. For 
 automatic translation of the user interface it can use GEdit's translation 
 files.
 .
 This package contains the Python 2 version with support for PyGtk and
 PyGObject.

Package: python3-gtkspellcheck
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-enchant, python3-gi
Recommends: iso-codes, python-gtkspellcheck-docs
Description: spellchecking library written in Python for Gtk based on Enchant
 It supports both Gtk's Python bindings, PyGObject and PyGtk, and for both 
 Python 2 and 3 with automatic switching and binding autodetection. For 
 automatic translation of the user interface it can use GEdit's translation 
 files.
 . 
 This package contains the Python 3 version with support for PyGObject.

Package: python-gtkspellcheck-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python GTK Spellcheck common documentation
 It supports both Gtk's Python bindings, PyGObject and PyGtk, and for both 
 Python 2 and 3 with automatic switching and binding autodetection. For 
 automatic translation of the user interface it can use GEdit's translation 
 files.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build

	# Python3
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done;

override_dh_auto_install:
	dh_auto_install

	# Python3
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done;

	# l10n
	mkdir -p $(CURDIR)/debian/tmp/usr/share/

	set -ex; for python in $(shell py3versions -r); do \
		$$python -B $(CURDIR)/l10n/compile_mo.py; \
	done;
	mv $(CURDIR)/l10n/mo $(CURDIR)/debian/tmp/usr/share/locale3

	set -ex; for python in $(shell pyversions -r); do \
		$$python -B $(CURDIR)/l10n/compile_mo.py; \
	done;
	mv $(CURDIR)/l10n/mo $(CURDIR)/debian/tmp/usr/share/locale2

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build *.egg-info

## pygtkspellcheck 4.0.5

=== debian/changelog ===
pygtkspellcheck (4.0.5-1) unstable; urgency=medium

  * New upstream version. Closes: #800071, #814724
  * Adopting package under the python-modules team. Closes: #830509
  * Bump debhelper compat level to 10.
  * Add Suggests: python-gtkspellcheck-doc to library packages.
    Closes: #843345
  * Bump Standards-Version to 3.9.8.
  * Improve descriptions to please lintian.
  * Update copyright file with new location of *.po files.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 21 Nov 2016 22:00:14 +0100

=== debian/control ===
Source: pygtkspellcheck
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 10),
               python (>= 2.7),
               dh-python,
               python-sphinx,
               python-enchant,
               python-gi,
               python3,
               python3-sphinx,
               python3-enchant,
               python3-gi,
               gir1.2-gtk-3.0,
Standards-Version: 3.9.8
Homepage: http://pygtkspellcheck.readthedocs.org/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pygtkspellcheck.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pygtkspellcheck.git

Package: python-gtkspellcheck
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-enchant, python-gtk2 | python-gi, python-gtk2 | gir1.2-gtk-3.0
Recommends: iso-codes
Suggests: python-gtkspellcheck-doc
Description: Python 2 spellchecking library GTK+ based on Enchant
 It supports both GTK+'s Python bindings, PyGObject and PyGtk, and for both 
 Python 2 and 3 with automatic switching and binding autodetection. For 
 automatic translation of the user interface it can use GEdit's translation 
 files.
 .
 This package contains the Python 2 version with support for PyGtk and
 PyGObject.

Package: python3-gtkspellcheck
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-enchant, python3-gi, gir1.2-gtk-3.0
Recommends: iso-codes
Suggests: python-gtkspellcheck-doc
Description: Python 3 spellchecking library for GTK+ based on Enchant
 It supports both GTK+'s Python bindings, PyGObject and PyGtk, and for both 
 Python 2 and 3 with automatic switching and binding autodetection. For 
 automatic translation of the user interface it can use GEdit's translation 
 files.
 . 
 This package contains the Python 3 version with support for PyGObject.

Package: python-gtkspellcheck-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python GTK+ Spellcheck common documentation
 It supports both GTK+'s Python bindings, PyGObject and PyGtk, and for both 
 Python 2 and 3 with automatic switching and binding autodetection. For 
 automatic translation of the user interface it can use GEdit's translation 
 files.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_INSTALL={interpreter} setup.py install_locale -d {destdir}/usr

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pygtkspellcheck/pygtkspellcheck-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygtkspellcheck 5.0.3

=== debian/changelog ===
pygtkspellcheck (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1057230, #1041994
  * Point watch file to Github and use gitmode to get full source distribution
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove field Testsuite on binary package python-gtkspellcheck-doc that
    duplicates source.
  * Add missing build-dependency on python3-poetry-core.
  * Apply multi-arch hints.
   + python-gtkspellcheck-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)
  * Build-Depends: pybuild-plugin-pyproject
  * Use sphinx-build
    Closes: #1042663
  * Build-Depends: python3-sphinx-rtd-theme, python3-myst-parser
  * Build-Depends: libxapp-gtk3-module
  * Remove unneeded debian/python-gtkspellcheck.docs
  * Upstream does not provide setup.py with the option install_locale any
    more thus we install this manually
  * README.rst is now README.md
  * Install new examples

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 18:41:57 +0100

pygtkspellcheck (4.0.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:19:41 -0400

pygtkspellcheck (4.0.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Jeremy Bicha ]
  * Drop python-gtkspellcheck package as part of Python2 removal
    (Closes: #885375, #904487, #937454)
  * Bump debhelper compat to 12

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 26 Oct 2019 16:18:11 -0400

=== debian/control ===
Source: pygtkspellcheck
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3,
               python3-sphinx,
               python3-enchant,
               python3-gi,
               gir1.2-gtk-3.0,
               python3-poetry-core,
               python3-sphinx-rtd-theme,
               python3-myst-parser,
               libxapp-gtk3-module <!nocheck>
Standards-Version: 4.6.2
Homepage: https://pygtkspellcheck.readthedocs.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/pygtkspellcheck
Vcs-Git: https://salsa.debian.org/python-team/packages/pygtkspellcheck.git

Package: python3-gtkspellcheck
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-enchant, python3-gi, gir1.2-gtk-3.0
Recommends: iso-codes
Suggests: python-gtkspellcheck-doc
Description: Python 3 spellchecking library for GTK+ based on Enchant
 It supports both GTK+'s Python bindings, PyGObject and PyGtk, and for both
 Python 2 and 3 with automatic switching and binding autodetection. For
 automatic translation of the user interface it can use GEdit's translation
 files.
 .
 This package contains the Python 3 version with support for PyGObject.

Package: python-gtkspellcheck-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Python GTK+ Spellcheck common documentation
 It supports both GTK+'s Python bindings, PyGObject and PyGtk, and for both
 Python 2 and 3 with automatic switching and binding autodetection. For
 automatic translation of the user interface it can use GEdit's translation
 files.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gtkspellcheck
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --with sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	LC_ALL=C PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs/source build/sphinx/html

override_dh_install:
	dh_install
	# Upstream does not provide setup.py with the option install_locale any more thus we install this manually
	for lang in `find locale -mindepth 1 -maxdepth 1 -type d` ; do \
	    dh_install -p python3-$(PYBUILD_NAME) $${lang}/*.mo usr/share/$${lang}/LC_MESSAGES ; \
	done

=== debian/watch ===
version=4

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/koehlma/pygtkspellcheck/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

opts="mode=git, gitmode=full, pgpmode=none" \
  https://github.com/koehlma/pygtkspellcheck.git refs/tags/v?([\d\.]+)
